Bug 650711 - Fedora 14 lirc maps mceusb power button to shutdown system
Fedora 14 lirc maps mceusb power button to shutdown system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
14
Unspecified Linux
low Severity high
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-07 15:54 EST by Anthony Messina
Modified: 2012-08-16 18:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2010-11-07 15:54:44 EST
After upgrading my MythTV backend and frontends to Fedora 14, I found that the mceusb lirc driver has some new "features," among which are that some of the buttons are auto-mapped to functions, apparently within the kernel (http://wilsonet.com/?page_id=95).

While this sounds wonderful, the power (PC) button maps to shutting the system down.  Whether or not lircd is running, if I hit the power button, the system is shut down.  Since I use this remote on a combined frontend/backend, you can imagine my surprise when I hit the button (formerly mapped to turn on my stereo receiver via irrexec/irsend).

I would like a way to disable or modify mapping for "in-kernel" lirc-to-keypresses for all buttons of a remote.

I also noticed that the KEY_UP, KEY_DOWN, KEY_LEFT, KEY_RIGHT, and KEY_ENTER buttons are also mapped and while I can add mappings via .lircrc, I cannot completely override the defaults.

Packages:
kernel-2.6.35.6-48.fc14.x86_64
lirc-0.8.7-1.fc14.x86_64
lirc-libs-0.8.7-1.fc14.x86_64

Here is my lsusb -v output:
Bus 003 Device 002: ID 0471:0815 Philips (or NXP) eHome Infrared Receiver
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        16
  idVendor           0x0471 Philips (or NXP)
  idProduct          0x0815 eHome Infrared Receiver
  bcdDevice            0.00
  iManufacturer           1 Philips
  iProduct                2 eHome Infrared Transceiver
  iSerial                 3 PH00Vf6h
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0010  1x 16 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0010  1x 16 bytes
        bInterval               0
Device Status:     0x0001
  Self Powered
Comment 1 Jarod Wilson 2010-11-07 18:11:16 EST
Easily remedied:

echo none > /sys/class/rc/rc0/protocols
echo +lirc > /sys/class/rc/rc0/protocols

I've been considering doing the above automatically in the lirc initscript, probably will when I bump from 0.8.7 to 0.9.0...
Comment 2 Anthony Messina 2010-11-07 23:25:55 EST
Thank you for the info.  Will those commands  "revert" the behavior in a sense--so that I would redefine everything in the .lircrc file?

Also, if you're going to put those commands in the upcoming initscript, why then have these commands mapped in the kernel?  What's the benefit (I'm asking because I don't understand where you're headed with these changes, not because I disagree)?
Comment 3 Jarod Wilson 2010-11-08 11:27:00 EST
(In reply to comment #2)
> Thank you for the info.  Will those commands  "revert" the behavior in a
> sense--so that I would redefine everything in the .lircrc file?

Those will disable in-kernel decoding, and only pass the raw IR out to lircd to be handled as it always was in the past. If you have pre-existing and previously functional lircd.conf and .lircrc, they should Just Work.

> Also, if you're going to put those commands in the upcoming initscript, why
> then have these commands mapped in the kernel?  What's the benefit (I'm asking
> because I don't understand where you're headed with these changes, not because
> I disagree)?

The remotes all work as pure input devices without any lirc userspace installed. The initscript would only fire if lirc gets installed and enabled. Eventually, userspace applications will be able to handle the remotes via pure input layer interaction, and lirc won't be needed at all, at least for bundled remotes and people happy with their default key mappings.
Comment 4 Anthony Messina 2010-11-08 14:41:41 EST
The solution in comment #1 worked.  Thank you for that and for the explanation in comment #3, which helps me understand where IR is going...

This isn't really a bug, then, but something that may need more pre-emptive explanation on the MythTV list, for example, else many Fedora 14 upgraders are in for a surprise ;)
Comment 5 Fedora Update System 2010-12-21 10:47:52 EST
lirc-0.9.0-0.1.pre1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lirc-0.9.0-0.1.pre1.fc14
Comment 6 Fedora Update System 2010-12-21 19:03:05 EST
lirc-0.9.0-0.1.pre1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lirc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lirc-0.9.0-0.1.pre1.fc14
Comment 7 Fedora Update System 2011-03-27 00:19:05 EDT
lirc-0.9.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lirc-0.9.0-1.fc14
Comment 8 Fedora Update System 2011-04-12 17:23:29 EDT
lirc-0.9.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Anthony Messina 2011-07-01 16:32:29 EDT
Jarod, I'm still using:

echo none > /sys/class/rc/rc0/protocols
echo +lirc > /sys/class/rc/rc0/protocols

in my Fedora 15 mythtv initscript. Do I need that workaround anymore?  If not, This can probably be closed.
Comment 10 Jarod Wilson 2011-07-02 11:31:19 EDT
Shouldn't need any work-arounds anymore in the latest f15 packages, no.
Comment 11 Anthony Messina 2011-07-02 11:50:00 EDT
I can confirm then, that this is fixed and the bug can be closed. Thank you!
Comment 12 Fedora End Of Life 2012-08-16 18:39:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.